# Resident Services

## Overview

Resident services are the self services which is used by the resident themselves via a portal. Functionalities such as lock/unlock authentication types, reprint UIN, view authentication history etc. are available. The services use OTP method of authentication.

The back-end is a set of services with REST API interface (provided by MOSIP) and front end is a portal to be developed by the adopter according to their requirements.

## Detailed functionality

[Resident Services Functionality](/1.1.5/modules/resident-services/resident-services-functionality.md)

## Process flow

* [Lock UIN](https://github.com/mosip/documentation/blob/1.1.5/docs/_images/resident_services/resident_services_lock_uin_flow.jpg)
* [Unlock UIN](https://github.com/mosip/documentation/blob/1.1.5/docs/_images/resident_services/resident_services_unlock_uin_flow.jpg)
* [Update UIN](https://github.com/mosip/documentation/blob/1.1.5/docs/_images/resident_services/resident_services_initiate_uin_update_flow.jpg)
* [Track UIN update](https://github.com/mosip/documentation/blob/1.1.5/docs/_images/resident_services/resident_services_track_uin_update_flow.jpg)
* [Track UIN with RID](https://github.com/mosip/documentation/blob/1.1.5/docs/_images/resident_services/resident_services_track_uin_with_rid_flow.jpg)
* [Retrieve lost UIN](https://github.com/mosip/documentation/blob/1.1.5/docs/_images/resident_services/resident_services_retrieve_lost_uin_flow.jpg)
* [Generate VID](https://github.com/mosip/documentation/blob/1.1.5/docs/_images/resident_services/resident_services_generate_vid_flow.jpg)
* [Revoke VID](https://github.com/mosip/documentation/blob/1.1.5/docs/_images/resident_services/resident_services_revoke_vid_flow.jpg)
* [Download e-UIN](https://github.com/mosip/documentation/blob/1.1.5/docs/_images/resident_services/resident_services_download_euin_flow.jpg)
* [Reprint e-UIN](https://github.com/mosip/documentation/blob/1.1.5/docs/_images/resident_services/resident_services_reprint_euin_flow.jpg)
* [Retrieve lost RID](https://github.com/mosip/documentation/blob/1.1.5/docs/_images/resident_services/resident_services_retrieve_lost_rid_flow.jpg)

## Logical view

![Logical diagram](/files/-M1R7_V9tIJcaByYw5CQ)

## Services

For detailed description of Resident Services, code and design refer to [resident services repo](https://github.com/mosip/resident-services).

## Build and deploy

Refer to build and deploy instructions in [resident services repo](https://github.com/mosip/resident-services).

## APIs

[Resident Services APIs](/1.1.5/apis/resident-service-apis.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mosip.io/1.1.5/modules/resident-services.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
